Name:           perl-POE-Loop-Event
Version:        1.305
Release:        5%{?dist}
Summary:        Bridge that allows POE to be driven by Event.pm
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/POE-Loop-Event/

Source0:        http://search.cpan.org/CPAN/authors/id/R/RC/RCAPUTO/POE-Loop-Event-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(POE::Test::Loops) >= 1.352
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

# Run-time
BuildRequires:  perl(Event) >= 1.21
BuildRequires:  perl(POE) >= 1.356
BuildRequires:  perl(POE::Loop::PerlSignals)
BuildRequires:  perl(vars)

# Testing
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Socket::GetAddrInfo)
BuildRequires:  perl(Term::Size)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(lib)

Requires:       perl(Event) >= 1.21
Requires:       perl(POE) >= 1.356
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}perl\\(Event\\)
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}perl\\(POE::Kernel\\)

%description
POE::Loop::Event implements the interface documented in POE::Loop.
Therefore it has no documentation of its own. Please see POE::Loop for
more details.

%prep
%setup -q -n POE-Loop-Event-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor --default
# skip network tests
touch run_network_tests

make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.305-5
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.305-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue May 17 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.305-3
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.305-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 15 2015 Denis Fateyev <denis@fateyev.com> - 1.305-1
- Initial release
